// =====================================================================
//  $Id: Sw00EventAction.hh,v 1.3 2003/10/06 16:28:16 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: Sw00EventAction.hh,v $
//  Revision 1.3  2003/10/06 16:28:16  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:15:15  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#ifndef __SW00EVENTACTION_HH
#define __SW00EVENTACTION_HH

#include "TEventAction.hh"

class Sw00EventAction
  : public TEventAction
{

  public:
    Sw00EventAction();
    ~Sw00EventAction();

  public:
    TReadoutList* WaitEvent();
    Tvoid BeginOfEventAction( TEvent& anEvent );
    Tvoid EndOfEventAction( TEvent& anEvent );

};

#endif
